package com.yunzhi.marketing.broker.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 佣金规则
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BkAgreement对象", description="佣金规则")
public class BkAgreement implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "规则ID")
    @TableId(value = "rule_id", type = IdType.UUID)
    private String ruleId;

    @ApiModelProperty(value = "楼盘ID")
    private String buildingId;

    @ApiModelProperty(value = "楼盘名称")
    private String buildingName;

    @ApiModelProperty(value = "规则内容")
    private String content;

    @ApiModelProperty(value = "有效天数")
    private Integer expirationDays;

    @ApiModelProperty(value = "城市")
    private String cityId;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "机构code")
    private String institutionId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
