package com.yunzhi.marketing.broker.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yunzhi.marketing.broker.entity.BkBankCard;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BrokerVO", description="全民经纪人")
public class BrokerVO {

    @ApiModelProperty("人员ID")
    private String personId;

    @ApiModelProperty("人员类型")
    private String personType;

    @ApiModelProperty("头像")
    private String avatarurl;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("性别")
    private Integer sex;

    @ApiModelProperty("身份证号")
    private String idNo;

    @ApiModelProperty("身份证正面")
    private String idcardImg;

    @ApiModelProperty("身份证反面")
    private String idcardImg2;

    @ApiModelProperty("推荐人(上家)")
    private String recommendAgent;

    @ApiModelProperty("总佣金")
    private Integer totalCommission;

    @ApiModelProperty("已结算佣金")
    private Integer settledCommission;

    @ApiModelProperty("待结算佣金")
    private Integer unsettledCommission;

    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;

    @TableField(exist = false)
    @ApiModelProperty("推荐人名称(上家)")
    String recommendPersonName;

    @TableField(exist = false)
    @ApiModelProperty("客户数")
    Integer customerNum;

    @TableField(exist = false)
    @ApiModelProperty("银行卡列表")
    List<BkBankCard> bankCardList;
}
