package com.yunzhi.marketing.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaLiveActivity;
import com.yunzhi.marketing.entity.TaPersonBuilding;
import com.yunzhi.marketing.po.LiveAndVideoVO;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jobob
 * @since 2020-02-20
 */
public interface ITaLiveActivityService extends IService<TaLiveActivity> {

    /**
     * 保存数据
     *
     * @param taLiveActivity
     * @return
     */
    ResponseBean taLiveActivityAdd(TaLiveActivity taLiveActivity);

    /**
     * 条件查询直播活动列表
     *
     * @param liveDetailType
     * @param pageNum
     * @param pageSize
     * @param orgId
     * @param liveActivityTitle
     * @param cityId
     * @param buildingId
     * @param status
     * @param taPersonBuildingListByUserId
     * @return
     */
    IPage<TaLiveActivity> listLiveActivityByCondition(Integer pageNum, Integer pageSize, Integer orgId, String liveActivityTitle,
                                                      String cityId, String buildingId, Integer status, List<TaPersonBuilding> taPersonBuildingListByUserId,
                                                      Integer userId,Integer source,List<String> institutions);

    /**
     * 访问量自增
     *
     * @param id
     * @return
     */
    ResponseBean addVisitNum(String id);

    /**
     * 获取直播活动详情
     *
     * @param id
     * @return
     */
    ResponseBean getLiveActivityDetailById(String id,Integer orgId);

    ResponseBean delLiveActivityList(Integer orgId, List<TaLiveActivity> liveActivityList);

    ResponseBean getDetailById(Integer id);

    /**
     * 微信小程序查询直播列表
     * @param orgId
     * @param cityId
     * @param buildingId
     * @param name
     * @return
     */
    IPage<LiveAndVideoVO> getWxLiveActivityAndVideo(IPage<LiveAndVideoVO> pg, Integer orgId, Integer cityId, String buildingId, String name, Boolean newHouse,Boolean isHome);

    IPage<LiveAndVideoVO> getWxPureLiveActivityList(IPage<TaLiveActivity> pg, Integer orgId, Integer cityId, String buildingId, String name, Integer process);
}
